unit CLXAboutActionReg;

interface

procedure Register;

implementation

{ $define FirstRegistration}

uses
{$ifndef FirstRegistration}
  CLXAboutActionRes,
{$endif}
  CLXAboutAction,
  QActnList;

procedure Register;
begin
{$ifdef FirstRegistration}
  //The first-time registration to get the actions in the IDE,
  //but without initialised properties or an associated image
  //(which is the ImageIndex property)
  RegisterActions('Help', [TCLXHelpAbout], nil)
{$else}
  //The second registration call, which refers to a data module
  //that holds an instance of the action with all its properties
  //set, and an image list containing its image
  RegisterActions('Help', [TCLXHelpAbout], TCLXAboutActionModule)
{$endif}
end;

end.
 